# Documentation Structure

## How this documentation is structured.

This documentation is borken down into 5 different parts.

{% content-ref url="/pages/-MJF8ND7zSdPapJOGISp" %}
[Installation](/installation/installing-wplms-on-a-fresh-wp-install.md)
{% endcontent-ref %}

{% content-ref url="/pages/-MJFQqLyU3FO2h2aSP82" %}
[Administrator Guide](/administrator-guide/beginners-guide.md)
{% endcontent-ref %}

{% content-ref url="/pages/-MJGE1eJoh6oPp6YyO87" %}
[Instructor Guide](/instructor-guide/instructor-guide.md)
{% endcontent-ref %}

{% content-ref url="/pages/-MJGEBpBqXYYP43iD\_Nu" %}
[Student Guide](/student-guide/student-guide.md)
{% endcontent-ref %}

1. Installation & Setup
2. Administrators Guide
3. Instructor Guide
4. Student Guide
5. Developer Guide

Terminology used in the documenation

* **WP Admin** Wordpress Administration area. [screenshot](http://wplms.io/documentation/assets/img/wp_admin_screen.png)
* **Paths like : WP admin - Plugins/ WP Admin - VibeBP** Left side menu tab in the Wordpress Administration area. [screenshot](http://wplms.io/documentation/assets/img/wp_admin_links)
* **Customizer / Theme Customizer** Wordpress Customizer scren. [screenshot](http://wplms.io/documentation/assets/img/customizer_screen.png)
* **WPLMS ABout** The WP Admin - Dashboard - About WPLMS. [screenshot](http://wplms.io/documentation/assets/img/wplms_about_screen.png)
* **WooCommerce** Wordpress Administration area.
* **Course Admin / Course Administration** Wordpress Administration area.
* **WPLMS Customizer Plugin:** This is a blank plugin so you can add your custom code here. This Plugin never receives updates, so your custom work will be safe here

**Download the Zip from here and add in wp-admin > Plugins > Add New > Activate**

{% file src="/files/-MP9FAkmfquwcwX1dyml" %}
WPLMS Customizer Plugin
{% endfile %}

Throughout this documenation we will be following symbols, to highlight the importance of these sections. They are specifically placed on the pages to gain user's attention.

{% hint style="info" %}
**Information Block**

Useful information regarding a content block
{% endhint %}

{% hint style="warning" %}
**Warning Block**

Things of importance. Place where user can make a mistake.
{% endhint %}

{% hint style="danger" %}
**Error Block**

Places where you might face an error and rectification steps.
{% endhint %}

{% hint style="success" %}
**Help Block**

If you need further help, where you contact us.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wplms.io/about-this-documentation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
